Subject: [Ietf-languages] Re: Proposed forms for Serbo-Croatian and related languages
From: Doug Ewell <[email-masked]>
To: Winston Sung <[email-masked]>, Sebastian Drude <sebastian_drude=[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Tue, 12 May 2026 05:59:43 +0000
List-Id: "Review of requests for language tag registration according to BCP 47 (RFC 4646)" <ietf-languages.ietf.org>

Winston Sung wrote:

> Sharing some history contexts forwarded from the Wikimedia-sh
> (Wikimedia-hbs?) community:
>
> https://www.alvestrand.no/pipermail/ietf-languages/2009-July/009145.html
>
> https://www.alvestrand.no/pipermail/ietf-languages/2009-July/009160.html

I’m not sure how these are from Wikimedia; as the URLs show, they are from this list.

That thread actually started here:

https://www.alvestrand.no/pipermail/ietf-languages/2009-June/009110.html

and was mostly concerned with the situation of [sh] being deprecated in 639-1 but [hbs] not being deprecated in 639-3. At the time, the subtag 'sh' was deprecated in the LSR, and this discussion eventually led to un-deprecating it (because [hbs] existed) but still keeping the subtag as 'sh' rather than 'hbs'. That last bit is what the current set of proposals would overturn.

Re-reading that thread from 17 years ago brings back some relics, such as the newness of 639-3 and macrolanguages, the expectation that 639-6 was going to be a thing, and side discussions about the political situation and language continuum in the former Yugoslavia. (I also found some cringey, impatient snappiness in some of my responses; I hope I would be a bit more tolerant today.)

Anyway, folks are certainly welcome to go back and read that thread and see if they feel it sheds light on the current question of replacing 'sh' with 'hbs'.

--
Doug Ewell, CC, ALB | Lakewood, CO, US | ewellic.org